    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.sql.PreparedStatement

public interface PreparedStatement
extends Statement

A SQL statement is pre-compiled and stored in a PreparedStatement object. This object can then be used to efficiently execute this statement multiple times.

Note: The setXXX methods for setting IN parameter values must specify types that are compatible with the defined SQL type of the input parameter. For instance, if the IN parameter has SQL type Integer then setInt should be used.

If arbitrary parameter type conversions are required then the setObject method should be used with a target SQL type.

See Also:
  prepareStatement, ResultSet

##

clearParameters()

  In general, parameter values remain in force for repeated use of a Statement.

execute()
  Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.
executeQuery()
  A prepared SQL query is executed and its ResultSet is returned.
executeUpdate()
  Execute a SQL INSERT, UPDATE or DELETE statement.
setAsciiStream(int, InputStream, int)
  When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.
setBigDecimal(int, BigDecimal)
  Set a parameter to a java.lang.BigDecimal value.
setBinaryStream(int, InputStream, int)
  When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream.
setBoolean(int, boolean)
  Set a parameter to a Java boolean value.
setByte(int, byte)
  Set a parameter to a Java byte value.
setBytes(int, byte[])
  Set a parameter to a Java array of bytes.
setDate(int, Date)
  Set a parameter to a java.sql.Date value.
setDouble(int, double)
  Set a parameter to a Java double value.
setFloat(int, float)
  Set a parameter to a Java float value.
setInt(int, int)
  Set a parameter to a Java int value.
setLong(int, long)
  Set a parameter to a Java long value.
setNull(int, int)
  Set a parameter to SQL NULL.
setObject(int, Object)

  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

setObject(int, Object, int)
  This method is like setObject above, but assumes a scale of zero.
setObject(int, Object, int, int)

  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

setShort(int, short)
  Set a parameter to a Java short value.
setString(int, String)
  Set a parameter to a Java String value.
setTime(int, Time)
  Set a parameter to a java.sql.Time value.
setTimestamp(int, Timestamp)
  Set a parameter to a java.sql.Timestamp value.
setUnicodeStream(int, InputStream, int)
  When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.

##

executeQuery

     public abstract ResultSet executeQuery() throws SQLException

  A prepared SQL query is executed and its ResultSet is returned.

  Returns:
    a ResultSet that contains the data produced by the query; never null
  Throws: SQLException
    if a database-access error occurs.

executeUpdate

     public abstract int executeUpdate() throws SQLException

  Execute a SQL INSERT, UPDATE or DELETE statement. In addition, SQL statements that return nothing such as SQL DDL statements can be executed.

  Returns:
    either the row count for INSERT, UPDATE or DELETE; or 0 for SQL statements that return nothing
  Throws: SQLException
    if a database-access error occurs.

setNull

     public abstract void setNull(int parameterIndex,
                                  int sqlType) throws SQLException

  Set a parameter to SQL NULL.

  Note: You must specify the parameter's SQL type.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    sqlType - SQL type code defined by java.sql.Types
  Throws: SQLException
    if a database-access error occurs.

setBoolean

     public abstract void setBoolean(int parameterIndex,
                                     boolean x) throws SQLException

  Set a parameter to a Java boolean value. The driver converts this to a SQL BIT value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setByte

     public abstract void setByte(int parameterIndex,
                                  byte x) throws SQLException

  Set a parameter to a Java byte value. The driver converts this to a SQL TINYINT value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setShort

     public abstract void setShort(int parameterIndex,
                                   short x) throws SQLException

  Set a parameter to a Java short value. The driver converts this to a SQL SMALLINT value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setInt

     public abstract void setInt(int parameterIndex,
                                 int x) throws SQLException

  Set a parameter to a Java int value. The driver converts this to a SQL INTEGER value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setLong

     public abstract void setLong(int parameterIndex,
                                  long x) throws SQLException

  Set a parameter to a Java long value. The driver converts this to a SQL BIGINT value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setFloat

     public abstract void setFloat(int parameterIndex,
                                   float x) throws SQLException

  Set a parameter to a Java float value. The driver converts this to a SQL FLOAT value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setDouble

     public abstract void setDouble(int parameterIndex,
                                    double x) throws SQLException

  Set a parameter to a Java double value. The driver converts this to a SQL DOUBLE value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setBigDecimal

     public abstract void setBigDecimal(int parameterIndex,
                                        BigDecimal x) throws SQLException

  Set a parameter to a java.lang.BigDecimal value. The driver converts this to a SQL NUMERIC value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setString

     public abstract void setString(int parameterIndex,
                                    String x) throws SQLException

  Set a parameter to a Java String value. The driver converts this to a SQL VARCHAR or LONGVARCHAR value (depending on the arguments size relative to the driver's limits on VARCHARs) when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setBytes

     public abstract void setBytes(int parameterIndex,
                                   byte x[]) throws SQLException

  Set a parameter to a Java array of bytes. The driver converts this to a SQL VARBINARY or LONGVARBINARY (depending on the argument's size relative to the driver's limits on VARBINARYs) when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setDate

     public abstract void setDate(int parameterIndex,
                                  Date x) throws SQLException

  Set a parameter to a java.sql.Date value. The driver converts this to a SQL DATE value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setTime

     public abstract void setTime(int parameterIndex,
                                  Time x) throws SQLException

  Set a parameter to a java.sql.Time value. The driver converts this to a SQL TIME value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setTimestamp

     public abstract void setTimestamp(int parameterIndex,
                                       Timestamp x) throws SQLException

  Set a parameter to a java.sql.Timestamp value. The driver converts this to a SQL TIMESTAMP value when it sends it to the database.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the parameter value
  Throws: SQLException
    if a database-access error occurs.

setAsciiStream

     public abstract void setAsciiStream(int parameterIndex,
                                         InputStream x,
                                         int length) throws SQLException

  When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from ASCII to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the java input stream which contains the ASCII parameter value
    length - the number of bytes in the stream
  Throws: SQLException
    if a database-access error occurs.

setUnicodeStream

     public abstract void setUnicodeStream(int parameterIndex,
                                           InputStream x,
                                           int length) throws SQLException

  When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the java input stream which contains the UNICODE parameter value
    length - the number of bytes in the stream
  Throws: SQLException
    if a database-access error occurs.

setBinaryStream

     public abstract void setBinaryStream(int parameterIndex,
                                          InputStream x,
                                          int length) throws SQLException

  When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    parameterIndex - the first parameter is 1, the second is 2, ...
    x - the java input stream which contains the binary parameter value
    length - the number of bytes in the stream
  Throws: SQLException
    if a database-access error occurs.

clearParameters

     public abstract void clearParameters() throws SQLException

  In general, parameter values remain in force for repeated use of a Statement. Setting a parameter value automatically clears its previous value. However, in some cases it is useful to immediately release the resources used by the current parameter values; this can be done by calling clearParameters.

  Throws: SQLException
    if a database-access error occurs.

setObject

     public abstract void setObject(int parameterIndex,
                                    Object x,
                                    int targetSqlType,
                                    int scale) throws SQLException

  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

  The given Java object will be converted to the targetSqlType before being sent to the database.

  Note that this method may be used to pass datatabase- specific abstract data types. This is done by using a Driver- specific Java type and using a targetSqlType of java.sql.types.OTHER.

  Parameters:
    parameterIndex - The first parameter is 1, the second is 2, ...
    x - The object containing the input parameter value
    targetSqlType - The SQL type (as defined in java.sql.Types) to be sent to the database. The scale argument may further qualify this type.
    scale - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types this is the number of digits after the decimal. For all other types this value will be ignored,
  Throws: SQLException
    if a database-access error occurs.
  See Also:
    Types

setObject

     public abstract void setObject(int parameterIndex,
                                    Object x,
                                    int targetSqlType) throws SQLException

  This method is like setObject above, but assumes a scale of zero.

  Throws: SQLException
    if a database-access error occurs.

setObject

     public abstract void setObject(int parameterIndex,
                                    Object x) throws SQLException

  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

  The JDBC specification specifies a standard mapping from Java Object types to SQL types. The given argument java object will be converted to the corresponding SQL type before being sent to the database.

  Note that this method may be used to pass datatabase specific abstract data types, by using a Driver specific Java type.

  Parameters:
    parameterIndex - The first parameter is 1, the second is 2, ...
    x - The object containing the input parameter value
  Throws: SQLException
    if a database-access error occurs.

execute

     public abstract boolean execute() throws SQLException

  Some prepared statements return multiple results; the execute method handles these complex statements as well as the simpler form of statements handled by executeQuery and executeUpdate.

  Throws: SQLException
    if a database-access error occurs.
  See Also:
    execute

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.